diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/internet/model/rip.cc ns-3.40/src/internet/model/rip.cc
--- ns-3.39/src/internet/model/rip.cc	2023-07-05 14:23:47.857427600 -0700
+++ ns-3.40/src/internet/model/rip.cc	2023-09-27 13:30:37.662839200 -0700
@@ -346,7 +346,7 @@
     }
 
     bool sendSocketFound = false;
-    for (SocketListI iter = m_unicastSocketList.begin(); iter != m_unicastSocketList.end(); iter++)
+    for (auto iter = m_unicastSocketList.begin(); iter != m_unicastSocketList.end(); iter++)
     {
         if (iter->second == i)
         {
@@ -406,7 +406,7 @@
     NS_LOG_FUNCTION(this << interface);
 
     /* remove all routes that are going through this interface */
-    for (RoutesI it = m_routes.begin(); it != m_routes.end(); it++)
+    for (auto it = m_routes.begin(); it != m_routes.end(); it++)
     {
         if (it->first->GetInterface() == interface)
         {
@@ -414,7 +414,7 @@
         }
     }
 
-    for (SocketListI iter = m_unicastSocketList.begin(); iter != m_unicastSocketList.end(); iter++)
+    for (auto iter = m_unicastSocketList.begin(); iter != m_unicastSocketList.end(); iter++)
     {
         NS_LOG_INFO("Checking socket for interface " << interface);
         if (iter->second == interface)
@@ -478,7 +478,7 @@
 
     // Remove all routes that are going through this interface
     // which reference this network
-    for (RoutesI it = m_routes.begin(); it != m_routes.end(); it++)
+    for (auto it = m_routes.begin(); it != m_routes.end(); it++)
     {
         if (it->first->GetInterface() == interface && it->first->IsNetwork() &&
             it->first->GetDestNetwork() == networkAddress &&
@@ -536,7 +536,7 @@
     {
         *os << "Destination     Gateway         Genmask         Flags Metric Ref    Use Iface"
             << std::endl;
-        for (RoutesCI it = m_routes.begin(); it != m_routes.end(); it++)
+        for (auto it = m_routes.begin(); it != m_routes.end(); it++)
         {
             RipRoutingTableEntry* route = it->first;
             RipRoutingTableEntry::Status_e status = route->GetRouteStatus();
@@ -592,7 +592,7 @@
 {
     NS_LOG_FUNCTION(this);
 
-    for (RoutesI j = m_routes.begin(); j != m_routes.end(); j = m_routes.erase(j))
+    for (auto j = m_routes.begin(); j != m_routes.end(); j = m_routes.erase(j))
     {
         delete j->first;
     }
@@ -603,7 +603,7 @@
     m_nextTriggeredUpdate = EventId();
     m_nextUnsolicitedUpdate = EventId();
 
-    for (SocketListI iter = m_unicastSocketList.begin(); iter != m_unicastSocketList.end(); iter++)
+    for (auto iter = m_unicastSocketList.begin(); iter != m_unicastSocketList.end(); iter++)
     {
         iter->first->Close();
     }
@@ -639,7 +639,7 @@
         return rtentry;
     }
 
-    for (RoutesI it = m_routes.begin(); it != m_routes.end(); it++)
+    for (auto it = m_routes.begin(); it != m_routes.end(); it++)
     {
         RipRoutingTableEntry* j = it->first;
 
@@ -708,8 +708,7 @@
 {
     NS_LOG_FUNCTION(this << network << networkPrefix << nextHop << interface);
 
-    RipRoutingTableEntry* route =
-        new RipRoutingTableEntry(network, networkPrefix, nextHop, interface);
+    auto route = new RipRoutingTableEntry(network, networkPrefix, nextHop, interface);
     route->SetRouteMetric(1);
     route->SetRouteStatus(RipRoutingTableEntry::RIP_VALID);
     route->SetRouteChanged(true);
@@ -722,7 +721,7 @@
 {
     NS_LOG_FUNCTION(this << network << networkPrefix << interface);
 
-    RipRoutingTableEntry* route = new RipRoutingTableEntry(network, networkPrefix, interface);
+    auto route = new RipRoutingTableEntry(network, networkPrefix, interface);
     route->SetRouteMetric(1);
     route->SetRouteStatus(RipRoutingTableEntry::RIP_VALID);
     route->SetRouteChanged(true);
@@ -735,7 +734,7 @@
 {
     NS_LOG_FUNCTION(this << *route);
 
-    for (RoutesI it = m_routes.begin(); it != m_routes.end(); it++)
+    for (auto it = m_routes.begin(); it != m_routes.end(); it++)
     {
         if (it->first == route)
         {
@@ -759,7 +758,7 @@
 {
     NS_LOG_FUNCTION(this << *route);
 
-    for (RoutesI it = m_routes.begin(); it != m_routes.end(); it++)
+    for (auto it = m_routes.begin(); it != m_routes.end(); it++)
     {
         if (it->first == route)
         {
@@ -869,8 +868,7 @@
                 // we use one of the sending sockets, as they're bound to the right interface
                 // and the local address might be used on different interfaces.
                 Ptr<Socket> sendingSocket;
-                for (SocketListI iter = m_unicastSocketList.begin();
-                     iter != m_unicastSocketList.end();
+                for (auto iter = m_unicastSocketList.begin(); iter != m_unicastSocketList.end();
                      iter++)
                 {
                     if (iter->second == incomingInterface)
@@ -903,7 +901,7 @@
                 RipHeader hdr;
                 hdr.SetCommand(RipHeader::RESPONSE);
 
-                for (RoutesI rtIter = m_routes.begin(); rtIter != m_routes.end(); rtIter++)
+                for (auto rtIter = m_routes.begin(); rtIter != m_routes.end(); rtIter++)
                 {
                     bool splitHorizoning = (rtIter->first->GetInterface() == incomingInterface);
 
@@ -976,10 +974,10 @@
         RipHeader hdr;
         hdr.SetCommand(RipHeader::RESPONSE);
 
-        for (std::list<RipRte>::iterator iter = rtes.begin(); iter != rtes.end(); iter++)
+        for (auto iter = rtes.begin(); iter != rtes.end(); iter++)
         {
             bool found = false;
-            for (RoutesI rtIter = m_routes.begin(); rtIter != m_routes.end(); rtIter++)
+            for (auto rtIter = m_routes.begin(); rtIter != m_routes.end(); rtIter++)
             {
                 Ipv4InterfaceAddress rtDestAddr =
                     Ipv4InterfaceAddress(rtIter->first->GetDestNetwork(),
@@ -1033,7 +1031,7 @@
     std::list<RipRte> rtes = hdr.GetRteList();
 
     // validate the RTEs before processing
-    for (std::list<RipRte>::iterator iter = rtes.begin(); iter != rtes.end(); iter++)
+    for (auto iter = rtes.begin(); iter != rtes.end(); iter++)
     {
         if (iter->GetRouteMetric() == 0 || iter->GetRouteMetric() > m_linkDown)
         {
@@ -1051,7 +1049,7 @@
 
     bool changed = false;
 
-    for (std::list<RipRte>::iterator iter = rtes.begin(); iter != rtes.end(); iter++)
+    for (auto iter = rtes.begin(); iter != rtes.end(); iter++)
     {
         Ipv4Mask rtePrefixMask = iter->GetSubnetMask();
         Ipv4Address rteAddr = iter->GetPrefix().CombineMask(rtePrefixMask);
@@ -1081,10 +1079,10 @@
                 {
                     if (senderAddress != it->first->GetGateway())
                     {
-                        RipRoutingTableEntry* route = new RipRoutingTableEntry(rteAddr,
-                                                                               rtePrefixMask,
-                                                                               senderAddress,
-                                                                               incomingInterface);
+                        auto route = new RipRoutingTableEntry(rteAddr,
+                                                              rtePrefixMask,
+                                                              senderAddress,
+                                                              incomingInterface);
                         delete it->first;
                         it->first = route;
                     }
@@ -1111,11 +1109,10 @@
                     {
                         if (Simulator::GetDelayLeft(it->second) < m_timeoutDelay / 2)
                         {
-                            RipRoutingTableEntry* route =
-                                new RipRoutingTableEntry(rteAddr,
-                                                         rtePrefixMask,
-                                                         senderAddress,
-                                                         incomingInterface);
+                            auto route = new RipRoutingTableEntry(rteAddr,
+                                                                  rtePrefixMask,
+                                                                  senderAddress,
+                                                                  incomingInterface);
                             route->SetRouteMetric(rteMetric);
                             route->SetRouteStatus(RipRoutingTableEntry::RIP_VALID);
                             route->SetRouteTag(iter->GetRouteTag());
@@ -1159,7 +1156,7 @@
         {
             NS_LOG_LOGIC("Received a RTE with new route, adding.");
 
-            RipRoutingTableEntry* route =
+            auto route =
                 new RipRoutingTableEntry(rteAddr, rtePrefixMask, senderAddress, incomingInterface);
             route->SetRouteMetric(rteMetric);
             route->SetRouteStatus(RipRoutingTableEntry::RIP_VALID);
@@ -1183,7 +1180,7 @@
 {
     NS_LOG_FUNCTION(this << (periodic ? " periodic" : " triggered"));
 
-    for (SocketListI iter = m_unicastSocketList.begin(); iter != m_unicastSocketList.end(); iter++)
+    for (auto iter = m_unicastSocketList.begin(); iter != m_unicastSocketList.end(); iter++)
     {
         uint32_t interface = iter->second;
 
@@ -1202,7 +1199,7 @@
             RipHeader hdr;
             hdr.SetCommand(RipHeader::RESPONSE);
 
-            for (RoutesI rtIter = m_routes.begin(); rtIter != m_routes.end(); rtIter++)
+            for (auto rtIter = m_routes.begin(); rtIter != m_routes.end(); rtIter++)
             {
                 bool splitHorizoning = (rtIter->first->GetInterface() == interface);
                 Ipv4InterfaceAddress rtDestAddr =
@@ -1270,7 +1267,7 @@
             }
         }
     }
-    for (RoutesI rtIter = m_routes.begin(); rtIter != m_routes.end(); rtIter++)
+    for (auto rtIter = m_routes.begin(); rtIter != m_routes.end(); rtIter++)
     {
         rtIter->first->SetRouteChanged(false);
     }
@@ -1344,7 +1341,7 @@
 {
     NS_LOG_FUNCTION(this << interface);
 
-    std::map<uint32_t, uint8_t>::const_iterator iter = m_interfaceMetrics.find(interface);
+    auto iter = m_interfaceMetrics.find(interface);
     if (iter != m_interfaceMetrics.end())
     {
         return iter->second;
@@ -1385,7 +1382,7 @@
     hdr.AddRte(rte);
     p->AddHeader(hdr);
 
-    for (SocketListI iter = m_unicastSocketList.begin(); iter != m_unicastSocketList.end(); iter++)
+    for (auto iter = m_unicastSocketList.begin(); iter != m_unicastSocketList.end(); iter++)
     {
         uint32_t interface = iter->second;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/internet/model/rip.h ns-3.40/src/internet/model/rip.h
--- ns-3.39/src/internet/model/rip.h	2023-07-05 14:23:47.857427600 -0700
+++ ns-3.40/src/internet/model/rip.h	2023-09-27 13:30:37.662839200 -0700
@@ -20,13 +20,14 @@
 #ifndef RIP_H
 #define RIP_H
 
+#include "ipv4-interface.h"
+#include "ipv4-l3-protocol.h"
+#include "ipv4-routing-protocol.h"
+#include "ipv4-routing-table-entry.h"
+#include "rip-header.h"
+
 #include "ns3/inet-socket-address.h"
-#include "ns3/ipv4-interface.h"
-#include "ns3/ipv4-l3-protocol.h"
-#include "ns3/ipv4-routing-protocol.h"
-#include "ns3/ipv4-routing-table-entry.h"
 #include "ns3/random-variable-stream.h"
-#include "ns3/rip-header.h"
 
 #include <list>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/internet/model/rip-header.cc ns-3.40/src/internet/model/rip-header.cc
--- ns-3.39/src/internet/model/rip-header.cc	2023-07-05 14:23:47.857427600 -0700
+++ ns-3.40/src/internet/model/rip-header.cc	2023-09-27 13:30:37.662839200 -0700
@@ -197,8 +197,7 @@
 RipHeader::Print(std::ostream& os) const
 {
     os << "command " << int(m_command);
-    for (std::list<RipRte>::const_iterator iter = m_rteList.begin(); iter != m_rteList.end();
-         iter++)
+    for (auto iter = m_rteList.begin(); iter != m_rteList.end(); iter++)
     {
         os << " | ";
         iter->Print(os);
@@ -221,8 +220,7 @@
     i.WriteU8(2);
     i.WriteU16(0);
 
-    for (std::list<RipRte>::const_iterator iter = m_rteList.begin(); iter != m_rteList.end();
-         iter++)
+    for (auto iter = m_rteList.begin(); iter != m_rteList.end(); iter++)
     {
         iter->Serialize(i);
         i.Next(iter->GetSerializedSize());
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/internet/model/rip-header.h ns-3.40/src/internet/model/rip-header.h
--- ns-3.39/src/internet/model/rip-header.h	2023-07-05 14:23:47.857427600 -0700
+++ ns-3.40/src/internet/model/rip-header.h	2023-09-27 13:30:37.662839200 -0700
@@ -20,9 +20,10 @@
 #ifndef RIP_HEADER_H
 #define RIP_HEADER_H
 
+#include "ipv4-header.h"
+
 #include "ns3/header.h"
 #include "ns3/ipv4-address.h"
-#include "ns3/ipv4-header.h"
 #include "ns3/packet.h"
 
 #include <list>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/internet/model/ripng.cc ns-3.40/src/internet/model/ripng.cc
--- ns-3.39/src/internet/model/ripng.cc	2023-07-05 14:23:47.857427600 -0700
+++ ns-3.40/src/internet/model/ripng.cc	2023-09-27 13:30:37.662839200 -0700
@@ -313,7 +313,7 @@
     }
 
     bool sendSocketFound = false;
-    for (SocketListI iter = m_unicastSocketList.begin(); iter != m_unicastSocketList.end(); iter++)
+    for (auto iter = m_unicastSocketList.begin(); iter != m_unicastSocketList.end(); iter++)
     {
         if (iter->second == i)
         {
@@ -374,7 +374,7 @@
     NS_LOG_FUNCTION(this << interface);
 
     /* remove all routes that are going through this interface */
-    for (RoutesI it = m_routes.begin(); it != m_routes.end(); it++)
+    for (auto it = m_routes.begin(); it != m_routes.end(); it++)
     {
         if (it->first->GetInterface() == interface)
         {
@@ -382,7 +382,7 @@
         }
     }
 
-    for (SocketListI iter = m_unicastSocketList.begin(); iter != m_unicastSocketList.end(); iter++)
+    for (auto iter = m_unicastSocketList.begin(); iter != m_unicastSocketList.end(); iter++)
     {
         NS_LOG_INFO("Checking socket for interface " << interface);
         if (iter->second == interface)
@@ -446,7 +446,7 @@
 
     // Remove all routes that are going through this interface
     // which reference this network
-    for (RoutesI it = m_routes.begin(); it != m_routes.end(); it++)
+    for (auto it = m_routes.begin(); it != m_routes.end(); it++)
     {
         if (it->first->GetInterface() == interface && it->first->IsNetwork() &&
             it->first->GetDestNetwork() == networkAddress &&
@@ -522,7 +522,7 @@
     {
         *os << "Destination                    Next Hop                   Flag Met Ref Use If"
             << std::endl;
-        for (RoutesCI it = m_routes.begin(); it != m_routes.end(); it++)
+        for (auto it = m_routes.begin(); it != m_routes.end(); it++)
         {
             RipNgRoutingTableEntry* route = it->first;
             RipNgRoutingTableEntry::Status_e status = route->GetRouteStatus();
@@ -576,7 +576,7 @@
 {
     NS_LOG_FUNCTION(this);
 
-    for (RoutesI j = m_routes.begin(); j != m_routes.end(); j = m_routes.erase(j))
+    for (auto j = m_routes.begin(); j != m_routes.end(); j = m_routes.erase(j))
     {
         delete j->first;
     }
@@ -587,7 +587,7 @@
     m_nextTriggeredUpdate = EventId();
     m_nextUnsolicitedUpdate = EventId();
 
-    for (SocketListI iter = m_unicastSocketList.begin(); iter != m_unicastSocketList.end(); iter++)
+    for (auto iter = m_unicastSocketList.begin(); iter != m_unicastSocketList.end(); iter++)
     {
         iter->first->Close();
     }
@@ -624,7 +624,7 @@
         return rtentry;
     }
 
-    for (RoutesI it = m_routes.begin(); it != m_routes.end(); it++)
+    for (auto it = m_routes.begin(); it != m_routes.end(); it++)
     {
         RipNgRoutingTableEntry* j = it->first;
 
@@ -705,7 +705,7 @@
         NS_LOG_WARN("Ripng::AddNetworkRouteTo - Next hop should be link-local");
     }
 
-    RipNgRoutingTableEntry* route =
+    auto route =
         new RipNgRoutingTableEntry(network, networkPrefix, nextHop, interface, prefixToUse);
     route->SetRouteMetric(1);
     route->SetRouteStatus(RipNgRoutingTableEntry::RIPNG_VALID);
@@ -719,7 +719,7 @@
 {
     NS_LOG_FUNCTION(this << network << networkPrefix << interface);
 
-    RipNgRoutingTableEntry* route = new RipNgRoutingTableEntry(network, networkPrefix, interface);
+    auto route = new RipNgRoutingTableEntry(network, networkPrefix, interface);
     route->SetRouteMetric(1);
     route->SetRouteStatus(RipNgRoutingTableEntry::RIPNG_VALID);
     route->SetRouteChanged(true);
@@ -732,7 +732,7 @@
 {
     NS_LOG_FUNCTION(this << *route);
 
-    for (RoutesI it = m_routes.begin(); it != m_routes.end(); it++)
+    for (auto it = m_routes.begin(); it != m_routes.end(); it++)
     {
         if (it->first == route)
         {
@@ -756,7 +756,7 @@
 {
     NS_LOG_FUNCTION(this << *route);
 
-    for (RoutesI it = m_routes.begin(); it != m_routes.end(); it++)
+    for (auto it = m_routes.begin(); it != m_routes.end(); it++)
     {
         if (it->first == route)
         {
@@ -851,8 +851,7 @@
                 // we use one of the sending sockets, as they're bound to the right interface
                 // and the local address might be used on different interfaces.
                 Ptr<Socket> sendingSocket;
-                for (SocketListI iter = m_unicastSocketList.begin();
-                     iter != m_unicastSocketList.end();
+                for (auto iter = m_unicastSocketList.begin(); iter != m_unicastSocketList.end();
                      iter++)
                 {
                     if (iter->second == incomingInterface)
@@ -878,7 +877,7 @@
                 RipNgHeader hdr;
                 hdr.SetCommand(RipNgHeader::RESPONSE);
 
-                for (RoutesI rtIter = m_routes.begin(); rtIter != m_routes.end(); rtIter++)
+                for (auto rtIter = m_routes.begin(); rtIter != m_routes.end(); rtIter++)
                 {
                     bool splitHorizoning = (rtIter->first->GetInterface() == incomingInterface);
 
@@ -940,8 +939,7 @@
         Ptr<Socket> sendingSocket;
         if (senderAddress.IsLinkLocal())
         {
-            for (SocketListI iter = m_unicastSocketList.begin(); iter != m_unicastSocketList.end();
-                 iter++)
+            for (auto iter = m_unicastSocketList.begin(); iter != m_unicastSocketList.end(); iter++)
             {
                 if (iter->second == incomingInterface)
                 {
@@ -963,10 +961,10 @@
         RipNgHeader hdr;
         hdr.SetCommand(RipNgHeader::RESPONSE);
 
-        for (std::list<RipNgRte>::iterator iter = rtes.begin(); iter != rtes.end(); iter++)
+        for (auto iter = rtes.begin(); iter != rtes.end(); iter++)
         {
             bool found = false;
-            for (RoutesI rtIter = m_routes.begin(); rtIter != m_routes.end(); rtIter++)
+            for (auto rtIter = m_routes.begin(); rtIter != m_routes.end(); rtIter++)
             {
                 Ipv6InterfaceAddress rtDestAddr =
                     Ipv6InterfaceAddress(rtIter->first->GetDestNetwork(),
@@ -1032,7 +1030,7 @@
     std::list<RipNgRte> rtes = hdr.GetRteList();
 
     // validate the RTEs before processing
-    for (std::list<RipNgRte>::iterator iter = rtes.begin(); iter != rtes.end(); iter++)
+    for (auto iter = rtes.begin(); iter != rtes.end(); iter++)
     {
         if (iter->GetRouteMetric() == 0 || iter->GetRouteMetric() > m_linkDown)
         {
@@ -1056,7 +1054,7 @@
 
     bool changed = false;
 
-    for (std::list<RipNgRte>::iterator iter = rtes.begin(); iter != rtes.end(); iter++)
+    for (auto iter = rtes.begin(); iter != rtes.end(); iter++)
     {
         Ipv6Prefix rtePrefix = Ipv6Prefix(iter->GetPrefixLen());
         Ipv6Address rteAddr = iter->GetPrefix().CombinePrefix(rtePrefix);
@@ -1085,12 +1083,11 @@
                 {
                     if (senderAddress != it->first->GetGateway())
                     {
-                        RipNgRoutingTableEntry* route =
-                            new RipNgRoutingTableEntry(rteAddr,
-                                                       rtePrefix,
-                                                       senderAddress,
-                                                       incomingInterface,
-                                                       Ipv6Address::GetAny());
+                        auto route = new RipNgRoutingTableEntry(rteAddr,
+                                                                rtePrefix,
+                                                                senderAddress,
+                                                                incomingInterface,
+                                                                Ipv6Address::GetAny());
                         delete it->first;
                         it->first = route;
                     }
@@ -1119,12 +1116,11 @@
                     {
                         if (Simulator::GetDelayLeft(it->second) < m_timeoutDelay / 2)
                         {
-                            RipNgRoutingTableEntry* route =
-                                new RipNgRoutingTableEntry(rteAddr,
-                                                           rtePrefix,
-                                                           senderAddress,
-                                                           incomingInterface,
-                                                           Ipv6Address::GetAny());
+                            auto route = new RipNgRoutingTableEntry(rteAddr,
+                                                                    rtePrefix,
+                                                                    senderAddress,
+                                                                    incomingInterface,
+                                                                    Ipv6Address::GetAny());
                             route->SetRouteMetric(rteMetric);
                             route->SetRouteStatus(RipNgRoutingTableEntry::RIPNG_VALID);
                             route->SetRouteTag(iter->GetRouteTag());
@@ -1168,11 +1164,11 @@
         {
             NS_LOG_LOGIC("Received a RTE with new route, adding.");
 
-            RipNgRoutingTableEntry* route = new RipNgRoutingTableEntry(rteAddr,
-                                                                       rtePrefix,
-                                                                       senderAddress,
-                                                                       incomingInterface,
-                                                                       Ipv6Address::GetAny());
+            auto route = new RipNgRoutingTableEntry(rteAddr,
+                                                    rtePrefix,
+                                                    senderAddress,
+                                                    incomingInterface,
+                                                    Ipv6Address::GetAny());
             route->SetRouteMetric(rteMetric);
             route->SetRouteStatus(RipNgRoutingTableEntry::RIPNG_VALID);
             route->SetRouteChanged(true);
@@ -1195,7 +1191,7 @@
 {
     NS_LOG_FUNCTION(this << (periodic ? " periodic" : " triggered"));
 
-    for (SocketListI iter = m_unicastSocketList.begin(); iter != m_unicastSocketList.end(); iter++)
+    for (auto iter = m_unicastSocketList.begin(); iter != m_unicastSocketList.end(); iter++)
     {
         uint32_t interface = iter->second;
 
@@ -1215,7 +1211,7 @@
             RipNgHeader hdr;
             hdr.SetCommand(RipNgHeader::RESPONSE);
 
-            for (RoutesI rtIter = m_routes.begin(); rtIter != m_routes.end(); rtIter++)
+            for (auto rtIter = m_routes.begin(); rtIter != m_routes.end(); rtIter++)
             {
                 bool splitHorizoning = (rtIter->first->GetInterface() == interface);
                 Ipv6InterfaceAddress rtDestAddr =
@@ -1271,7 +1267,7 @@
             }
         }
     }
-    for (RoutesI rtIter = m_routes.begin(); rtIter != m_routes.end(); rtIter++)
+    for (auto rtIter = m_routes.begin(); rtIter != m_routes.end(); rtIter++)
     {
         rtIter->first->SetRouteChanged(false);
     }
@@ -1345,7 +1341,7 @@
 {
     NS_LOG_FUNCTION(this << interface);
 
-    std::map<uint32_t, uint8_t>::const_iterator iter = m_interfaceMetrics.find(interface);
+    auto iter = m_interfaceMetrics.find(interface);
     if (iter != m_interfaceMetrics.end())
     {
         return iter->second;
@@ -1386,7 +1382,7 @@
     hdr.AddRte(rte);
     p->AddHeader(hdr);
 
-    for (SocketListI iter = m_unicastSocketList.begin(); iter != m_unicastSocketList.end(); iter++)
+    for (auto iter = m_unicastSocketList.begin(); iter != m_unicastSocketList.end(); iter++)
     {
         uint32_t interface = iter->second;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/internet/model/ripng.h ns-3.40/src/internet/model/ripng.h
--- ns-3.39/src/internet/model/ripng.h	2023-07-05 14:23:47.857427600 -0700
+++ ns-3.40/src/internet/model/ripng.h	2023-09-27 13:30:37.662839200 -0700
@@ -20,13 +20,14 @@
 #ifndef RIPNG_H
 #define RIPNG_H
 
+#include "ipv6-interface.h"
+#include "ipv6-l3-protocol.h"
+#include "ipv6-routing-protocol.h"
+#include "ipv6-routing-table-entry.h"
+#include "ripng-header.h"
+
 #include "ns3/inet6-socket-address.h"
-#include "ns3/ipv6-interface.h"
-#include "ns3/ipv6-l3-protocol.h"
-#include "ns3/ipv6-routing-protocol.h"
-#include "ns3/ipv6-routing-table-entry.h"
 #include "ns3/random-variable-stream.h"
-#include "ns3/ripng-header.h"
 
 #include <list>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/internet/model/ripng-header.cc ns-3.40/src/internet/model/ripng-header.cc
--- ns-3.39/src/internet/model/ripng-header.cc	2023-07-05 14:23:47.857427600 -0700
+++ ns-3.40/src/internet/model/ripng-header.cc	2023-09-27 13:30:37.662839200 -0700
@@ -179,8 +179,7 @@
 RipNgHeader::Print(std::ostream& os) const
 {
     os << "command " << int(m_command);
-    for (std::list<RipNgRte>::const_iterator iter = m_rteList.begin(); iter != m_rteList.end();
-         iter++)
+    for (auto iter = m_rteList.begin(); iter != m_rteList.end(); iter++)
     {
         os << " | ";
         iter->Print(os);
@@ -203,8 +202,7 @@
     i.WriteU8(1);
     i.WriteU16(0);
 
-    for (std::list<RipNgRte>::const_iterator iter = m_rteList.begin(); iter != m_rteList.end();
-         iter++)
+    for (auto iter = m_rteList.begin(); iter != m_rteList.end(); iter++)
     {
         iter->Serialize(i);
         i.Next(iter->GetSerializedSize());
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/internet/model/ripng-header.h ns-3.40/src/internet/model/ripng-header.h
--- ns-3.39/src/internet/model/ripng-header.h	2023-07-05 14:23:47.857427600 -0700
+++ ns-3.40/src/internet/model/ripng-header.h	2023-09-27 13:30:37.662839200 -0700
@@ -20,9 +20,10 @@
 #ifndef RIPNG_HEADER_H
 #define RIPNG_HEADER_H
 
+#include "ipv6-header.h"
+
 #include "ns3/header.h"
 #include "ns3/ipv6-address.h"
-#include "ns3/ipv6-header.h"
 #include "ns3/packet.h"
 
 #include <list>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/internet/model/tcp-bbr.h ns-3.40/src/internet/model/tcp-bbr.h
--- ns-3.39/src/internet/model/tcp-bbr.h	2023-07-05 14:23:47.857427600 -0700
+++ ns-3.40/src/internet/model/tcp-bbr.h	2023-09-27 13:30:37.662839200 -0700
@@ -22,11 +22,12 @@
 #ifndef TCPBBR_H
 #define TCPBBR_H
 
+#include "tcp-congestion-ops.h"
+#include "windowed-filter.h"
+
 #include "ns3/data-rate.h"
 #include "ns3/random-variable-stream.h"
-#include "ns3/tcp-congestion-ops.h"
 #include "ns3/traced-value.h"
-#include "ns3/windowed-filter.h"
 
 class TcpBbrCheckGainValuesTest;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/internet/model/tcp-bic.h ns-3.40/src/internet/model/tcp-bic.h
--- ns-3.39/src/internet/model/tcp-bic.h	2023-07-05 14:23:47.857427600 -0700
+++ ns-3.40/src/internet/model/tcp-bic.h	2023-09-27 13:30:37.662839200 -0700
@@ -19,8 +19,8 @@
 #ifndef TCPBIC_H
 #define TCPBIC_H
 
-#include "ns3/tcp-congestion-ops.h"
-#include "ns3/tcp-recovery-ops.h"
+#include "tcp-congestion-ops.h"
+#include "tcp-recovery-ops.h"
 
 class TcpBicIncrementTest;
 class TcpBicDecrementTest;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/internet/model/tcp-cubic.h ns-3.40/src/internet/model/tcp-cubic.h
--- ns-3.39/src/internet/model/tcp-cubic.h	2023-07-05 14:23:47.857427600 -0700
+++ ns-3.40/src/internet/model/tcp-cubic.h	2023-09-27 13:30:37.662839200 -0700
@@ -19,8 +19,8 @@
 #ifndef TCPCUBIC_H
 #define TCPCUBIC_H
 
-#include "ns3/tcp-congestion-ops.h"
-#include "ns3/tcp-socket-base.h"
+#include "tcp-congestion-ops.h"
+#include "tcp-socket-base.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/internet/model/tcp-dctcp.h ns-3.40/src/internet/model/tcp-dctcp.h
--- ns-3.39/src/internet/model/tcp-dctcp.h	2023-07-05 14:23:47.857427600 -0700
+++ ns-3.40/src/internet/model/tcp-dctcp.h	2023-09-27 13:30:37.662839200 -0700
@@ -21,8 +21,9 @@
 #ifndef TCP_DCTCP_H
 #define TCP_DCTCP_H
 
-#include "ns3/tcp-congestion-ops.h"
-#include "ns3/tcp-linux-reno.h"
+#include "tcp-congestion-ops.h"
+#include "tcp-linux-reno.h"
+
 #include "ns3/traced-callback.h"
 
 namespace ns3
